<bugID>1167593<Summary>No need to confirm e-mail account if signing up with regular e-mail</Summary><Description>Reproduced with Firefox 38.0.5 RC build and Nightly 41.0a1 under Win7 64-bit and Mac OS X 10.9.5

Steps to reproduce:
1. Launch Firefox.
2. From the toolbar, click the Pocket button &#8594; click "Sign Up with email". - 
The user is redirected to the associated Pocket sign-up page.
3. Fill in the sign-up form and click "Sign Up".

Expected results:
User should be informed to confirm his account using the verification link received via e-mail

Actual results:
User can directly open Pocket account.
Pocket's My List page can be accessed with no matter what e-mail address.

Note: The verification e-mail is sent, but what happens if the account is not confirmed?</Description></bugID>